Skip to main content
`Ctrl`+`K`
scipy.spatial.

# convex_hull_plot_2d

scipy.spatial.convex_hull_plot_2d(hull, ax=None)

  Plot the given convex hull diagram in 2-D

  Parameters:
    hull scipy.spatial.ConvexHull instance

      Convex hull to plot

    ax matplotlib.axes.Axes instance, optional

      Axes to plot on

  Returns:
    fig matplotlib.figure.Figure instance

      Figure for the plot

  See also

  `ConvexHull`

  Notes

  Requires Matplotlib.

  Examples

      >>> import numpy as np
      >>> import matplotlib.pyplot as plt
      >>> from scipy.spatial import ConvexHull, convex_hull_plot_2d

  The convex hull of a random set of points:

      >>> rng = np.random.default_rng()
      >>> points = rng.random((30, 2))
      >>> hull = ConvexHull(points)

  Plot it:

      >>> _ = convex_hull_plot_2d(hull)
      >>> plt.show()